# love is a gentle thing
Velvet Ring by Big Thief.<br>
an encryption tool!

## building
```sh
./build-static.sh # creates a static executable
./build.sh # creates a dynamic executable
```

## usage
```sh
ec-pass  <input file> -p <password> [-o <out>]   # generates a password-protected velvet file
dec-pass <input file> -p <password> [-o <out>]   # decrypts password-protected velvet files
ec-key   <input file> [-o <out>] [-p <key path>] # generates a 32-byte ring and a velvet file
dec-key  <input file> [-o <out>] [-p <key path>] # decrypts a velvet file using a ring file. assumes that the ring file shares the same name as the input file, unless a key is supplied with -p
```